darcs

Issue 2163 darcs amend-record -A should default to my author id

Title darcs amend-record -A should default to my author id
Priority feature Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List dixiecko, galbolle, jaredj
Assigned To dixiecko
Topics ProbablyEasy, UI

Created on 2012-03-30.10:15:18 by galbolle, last changed 2013-06-08.20:12:03 by noreply.

Messages
msg15416 (view) Author: galbolle Date: 2012-03-30.10:15:15
Some ideas to help bug reporting (adapt as needed, e.g., for feature
requests):

1. What were you doing? (eg. what darcs commands)

Using darcs amend-record to steal patches from Guillaume.

2. What went wrong?

I had to remember under what name that darcs repository knew me as.

3. What behaviour were you expecting instead?

I wish there was a way for darcs to pick my default id (content of
either _darcs/author or .darcs/author as my id. I'd expect darcs am -A
without argument to use that

4. What darcs version are you using? (Try: darcs --exact-version)

screened 20120330
msg16834 (view) Author: noreply Date: 2013-06-08.20:12:01
The following patch sent by Radoslav Dorcik <dixiecko@gmail.com> updated issue issue2163 with
status=resolved;resolvedin=2.10.0 HEAD

* Resolve issue2163: new option for amend, select author for patch stealing. 
Ignore-this: 406144ca13c533a0eba6247d997b217b
Feature request suggested the different implementation: I wish there
was a way for darcs to pick my default id (content of either
_darcs/author or .darcs/author as my id. I'd expect darcs am -A
without argument to use that.

But it makes impossible express both the author selection and also
amended element: darcs -A somefile. For that reason, the new parameter
is introduced --select-author. It can be used instead of -A for author
selection. The author selection always offers the prompt, hence it is
possible enter the other author than stored.
History
Date User Action Args
2012-03-30 10:15:18galbollecreate
2013-02-17 10:43:21dixieckosetpriority: feature
status: unknown -> needs-diagnosis/design
nosy: + dixiecko
assignedto: dixiecko
2013-02-24 23:19:31dixieckosetstatus: needs-diagnosis/design -> needs-implementation
2013-03-02 21:24:23dixieckolinkpatch1062 issues
2013-03-02 21:24:55dixieckosetstatus: needs-implementation -> has-patch
2013-06-08 20:12:03noreplysetstatus: has-patch -> resolved
messages: + msg16834
resolvedin: 2.10.0 HEAD